Copyright 1983
NPG,Ltd

			COPY-PROTECTION

  ISSUE:  Should people who, though not for personal profit, deliberately
violate copyright restrictions and reproduce copy- protected computer programs
be treated as criminals?  (1) Yes.  They are performing criminal acts; the fact
that they use a computer should have no bearing on their criminality.  (2) No.
When we teach them to be smart with computers it does not make sense to then
put them in jail.

  BACKGROUND:  As in the case with traditional literary works, a copyright
gives the authors and publishers of software products (computer programs) the
legal right to prevent people from freely copying their works.	However,
because they have to be effectively copied every time they are loaded into a
computer, software products are much easier to copy than paper products such as
books.	Copying a book is a very obvious task and one that requires a long time
and often involves a substantial copying cost.	In contrast, a disk containing
the same amount of information can be silently and secretly copied in a matter
of seconds.  In cases of deliberately copying programs for resale, few people
appear inclined to argue that the copiers should not be prosecuted like any
ordinary criminal.  But the situation is not as clear when the person doing the
copying is doing it for personal use and not reselling the copy.  Software
developers worry that even when not done for profit there is a growing tendency
to "share" extra copies of programs.  To combat this as well as more explicit
forms of copying software developers incorporate special features in their
programs to prevent copying, or at least make it more difficult to do so.  To
the dismay of the software developers, the use of every new "copy-protection"
technique is rapidly followed by the development and sale of generally
inexpensive programs to copy or even "unprotect" the software.  Once
"unprotected," the software can easily be copied by most ordinary computers.

  POINT:  If our increasingly important software industry (estimated revenues:
greater than $16 billion by 1986) is to remain viable, we must curb copying.
If people use programs to copy copy- protected software they will inevitably
begin to "share" these copies with others.  We should crack down hard on people
who copy such programs.  We should do the same thing to those who develop and
sell software to facilitate program copying.  Both are engaged in activities
designed to "steal" legitimate income from the software producers.  Both should
be treated as criminals.  At the same time, software companies should be
encouraged to invest more time, effort and resources to developing better
techniques for protecting their programs from illicit copying.	The way to
solve this problem is to build better "locks," and then come down hard on those
who still try to break them.

  COUNTERPOINT:  Calls for tougher enforcement and better protection techniques
seek to treat symptoms of the problem rather than its underlying causes.  A lot
of quite legitimate users defeat copy- protection features simply because these
features frustrate their ability to effectively use the program.  A
copy-protected program prevents the user from making a backup copy, meaning
that he has to assume the risk of an accidental erasure which will cost
hundreds of dollars.  It also makes it difficult to run programs on machines
with "hard disk" storage devices.  And, copy protection prevents users with
programming skills from doing otherwise perfectly legal and reasonable
customizing or "patching" the program to better suit their individual purposes.
Even if more restrictive laws were passed, enforcement would become a very
difficult problem.  Unless the policing activities expanded far beyond current
levels (with attendant tax increases) it would be virtually impossible to
enforce such a ban effectively.  An unenforceable or unenforced law creates
many potential problems.  All of the emphasis on copy-protection is, in the
long run, a waste of effort -- it is just another pressure to keep the software
costs too high.  Precisely the same software design advances that allow new
copy-protection techniques, also allow for techniques to defeat the protection.
Adding copy-protection creates about as much advance as does a dog chasing its
tail.  A lot of experts predict that, for simple economic reasons, future
distribution of software programs will increasingly be accomplished through
electronic communications means.  To do that, by definition, requires a program
that is not copy-protected; otherwise you couldn't convert it into a form that
can be communicated.  So the handwriting is on the wall for copy-protection as
a way of ensuring income.  It is time for the software industry to face
reality, to stop adding protection features which limit the usefulness of their
overpriced programs.  Instead the industry should begin to experiment seriously
with an approach called "freeware." Under this concept, now being used with
apparent success by several smaller firms, programs are priced in the $10 to
$50 range.  The programs are not copy-protected; to the contrary, copying is
encouraged.  The program authors/producers simply request that each user who
finds the program useful to him or her send payment for the program to the
author/producers.  Apparently, the "freeware" concept, which emphasizes the
honesty of people rather than treating everyone as a potential crook, works.
But even if it doesn't, the traditional approach doesn't work and should not be
encouraged any more.

QUESTIONS:

  o When you pay a lot of money for a computer program, should you be entitled
to control how the program is used?

  o Is there a difference between making your own copy of a library from
copying a commercially produced program (assuming you did not steal it)?

  o Do you think that the "freeware" concept, that relies on people's honesty,
can really work?

  o If you don't punish people who "break" copy-protections and copy programs,
will you encourage even more copying?

  o Is it important to distinguish between copying that is done to make money
and that which is done for other reasons?

  o Would it be practical to enforce laws that outlawed copying?


REFERENCES:
     A Hard Stand for Software Protection, David A. Savner and
Barry D. Weiss, Computerworld (In-Depth), September 26, 1983
     ICEE Develops Educational-Software Copying Policy, Scott
Mace, Infoworld, Vol.5/No.38
     Software Piracy: Formulating A Plan for Protection, Joseph
I. Rosenbaum, Computerworld, September 12, 1983, p. 154
     License To Own Computers--Projections of a Paranoid?, Alan
Stein, Infoworld, Vol.5/No.40
     Free Software, Tom Shea, Infoworld, Vol.5/No.26, p.31

  (Note:  Please leave your thoughts -- message or uploaded comments -- on this
issue on Tom Mack's RBBS, The Second Ring --- (703) 759-5049.  Please address
them to Terry Steichen of New Perspectives Group, Ltd.)

